aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2009-08-11 22:13:55 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2009-08-11 22:13:55 +0100
commit7f1155d0b5f33ce499760e15ec1edbf24a29448a (patch)
tree30868b22fac251579db3c928dcd7012865ffec62
parent248022407f90dfdb97548c61ecb6ff211005b946 (diff)
downloadpaludis-7f1155d0b5f33ce499760e15ec1edbf24a29448a.tar.gz
paludis-7f1155d0b5f33ce499760e15ec1edbf24a29448a.tar.xz
OHFAIL
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index 6140d89..187bed6 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -212,7 +212,8 @@ ebuild_scrub_environment()
{
local paludis_declared_functions
paludis_declared_functions=$(declare -F | while read paludis_v ; do
- echo -n ${paludis_v#declare -f } " "
+ f=${paludis_v#declare -f }
+ has ${f} ${PALUDIS_EBUILD_FUNCTIONS} || echo -n ${f} " "
done )
(